Skip to main content
GET
List data sources

Query Parameters

offset
integer<int32>

The cursor used in pagination. This is the index of the first data source to be returned.

limit
integer<int32>

The maximum number of data sources to be returned. The default is 20.

sort_by
string

The property used to sort the data sources by. The default is CreationDate.

order_by
string

The sorting direction for the returned data sources. Accepted values: ASC, DESC. The default is DESC.

type
enum<string>

Filters data sources on their type.

Available options:
Unknown,
Csv,
HubSpot
status
enum<string>

Filters data sources on their status.

Available options:
Unknown,
Processing,
Enabled,
Disabled,
Error

Response

Data sources returned

items
object[] | null
paginationSkipCount
integer<int32>
totalCount
integer<int32>

Gets or sets the total number of items that could be returned by this command (without pagination).